Bug 154794 - Additional build dependency for openldap source RPM.
Additional build dependency for openldap source RPM.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-14 04:13 EDT by Fred Clausen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.3.27-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-23 10:48:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fred Clausen 2005-04-14 04:13:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
I am recompiling the OpenLDAP source RPM due to a patch applied to allow it to authenticate solaris clients. More info about that can be found at:

http://www.openldap.org/lists/openldap-software/200503/msg00089.html

I installed all the build dependencies that was mentioned the first time I tried to build it. The build process got underway but it failed with an error about not finding /usr/lib/libbind.a. So I found that the package bind-libbind-devel-9.2.5-1 includes these static libraries. Installing that solved the problem. I am using the following command to build the packages:

rpmbuild -bb openldap.spec

Thanks.

Version-Release number of selected component (if applicable):
openldap-2.2.13

How reproducible:
Always

Steps to Reproduce:
1. Download and install openldap source RPM.
2. Rebuild RPM.
  

Additional info:
Comment 1 Matthew Miller 2006-07-10 16:15:53 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Jan Safranek 2007-04-23 10:48:17 EDT
This seems to be already fixed, at least in FC6 (maybe earlier).
Comment 3 Fedora Update System 2007-04-27 01:50:18 EDT
openldap-2.3.30-2.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 4 Fedora Update System 2007-05-14 13:17:04 EDT
openldap-2.3.30-2.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.